opam-version: "2.0"
synopsis: "Explorus"
maintainer: ["contact@functori.com"]
authors: ["functori"]
license: "MIT"
homepage: "https://gitlab.com/functori/dev/explorus"
bug-reports: "https://gitlab.com/functori/dev/explorus/-/issues"
depends: [
  "dune" {>= "3.0"}
  "lwt"
  "js_of_ocaml" {= "5.8.2"}
  "js_of_ocaml-lwt"
  "lwt_ppx"
  "ez_api"
  "ezjs_fetch"
  "ocurl"
  "vue-jsoo"
  "ppx_deriving_jsoo"
  "ppx_deriving_encoding"
  "odoc" {with-doc}
  "ocamlformat" {= "0.24.1" }
  "alcotest"
  "alcotest-lwt"
  "zarith"
  "zarith_stubs_js"
]
build: [
  ["dune" "subst"] {dev}
  [
    "dune"
    "build"
    "-p"
    name
    "-j"
    jobs
    "@install"
    "@runtest" {with-test}
    "@doc" {with-doc}
  ]
]
dev-repo: "git://gitlab.com/functori/dev/explorus"
pin-depends: [
  [ "ezjs_fetch.dev" "git+https://github.com/OCamlPro/ezjs_fetch.git#441e52b1fa5695a8b29db53ebdd5793e98f4d16e"]
  [ "ppx_deriving_jsoo.dev" "git+https://gitlab.com/o-labs/ppx_deriving_jsoo.git#4f50016af72381567fd0e2ffbd89471aff522262" ]
  [ "ppx_deriving_encoding.dev" "git+https://gitlab.com/o-labs/ppx_deriving_encoding.git#a8f7c425baa3cfad53756de91e962fdfc755d675" ]
  [ "vue-jsoo.dev" "git+https://gitlab.com/o-labs/vue-jsoo.git#7242f29d8bf46d519e2b4fe1a71ea53e3cb0336b" ]
  [ "ezjs_min.dev" "git+https://github.com/ocamlpro/ezjs_min.git#185a62af8f2e5c7fd77e6261480f0d1f2a75a8ba" ]
  [ "ez_api.1.2.0" "git+https://github.com/ocamlpro/ez_api.git#1.2.0" ]
]
